# Generated from studio_game_tr-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name studio_game_tr

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Simple text-based game created during Pragmatic Studio's Ruby Programming course
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec) < 1
BuildArch: noarch

%description
A simple text-based game that you can run from the command line. Runs a list
of
players (either those provided, or that you can provide via a '.csv' file that
you then name as a command line argument when loading the program), through a
series of 'rounds', the number of which you can choose as the game runs. Each
player is 'w00ted', 'blammed', or 'skipped' and receives a treasure.
High-scores
are printed out to the console upon exiting the game. They are also saved to a
file ('high_scores.txt') in the top-level folder of the application.
Created while doing the Ruby Programming course from Pragmatic Studio.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/studio_game
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.0-1
- Initial package
